<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('member', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->uuid('uuid');
            $table->string('handle', length: 255);
            $table->string('email', length: 255);
            $table->string('password', length: 255);
            $table->string('avatar', length: 255)->nullable();
            $table->string('pronoun', length: 255);
            $table->string('gender', length: 255)->nullable();
            $table->boolean('active');
            $table->integer('role')->nullable();
            $table->timestamp('created_at', precision: 0);
            $table->timestamp('last_login', precision: 0);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('member');
    }
};
